// Win32.h
// Wrapper for native Win32 API

namespace CrosshairDemo
{
using namespace System;
using namespace System::Drawing;

public ref class Win32 abstract sealed
{
public:
  static IntPtr WindowFromPoint(Point pt);
  static String ^GetWindowText_(IntPtr hwnd);
};

}

// Define function name alias, so client code can use original Win32-style function name.
// Alias is only available, though, unless the client code also includes <Windows.h>.

#ifndef GetWindowText
#define GetWindowText GetWindowText_
#endif
